Bug 44394 - Unable to deploy to iOS 7.x devices
Summary: Unable to deploy to iOS 7.x devices
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- normal
Target Milestone: 4.2.1 (C8SR1)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-15 23:04 UTC by Ben Beckley
Modified: 2016-10-14 15:38 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
logs (12.44 KB, application/x-zip-compressed)
2016-09-15 23:04 UTC, Ben Beckley
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Ben Beckley 2016-09-15 23:04:24 UTC
Created attachment 17522 [details]
logs

When trying to deploy to 7.x devices I get a message in the output saying that it failed and to check the logs.

> Xamarin.Messaging.Exceptions.MonotouchException: error MT1108: Could not find developer tools for this 7.0.3 (11B511) device. Please ensure you are using a compatible Xcode version and then connect this device to Xcode to install the development support files.

If this is expected behavior, it would be more user friendly to have a descriptive error in the error log and/or output instead of needing to check the logs.
Comment 3 Ben Beckley 2016-10-14 15:38:58 UTC
Verified that the proper output and error message is being displayed now when using XVS 4.2.0.758 (cycle8/9535b34).

Error
>error MT1108: Could not find developer tools for this 7.1.2 (11D257) device. Please ensure you are using a compatible Xcode version and then connect this device to Xcode to install the development support files.	

Output
>Launch failed. The app 'App8' could not be launched on 'XQAiPadMiniRetinab'. Error: error MT1108: Could not find developer tools for this 7.1.2 (11D257) device. Please ensure you are using a compatible Xcode version and then connect this device to Xcode to install the development support files.
. Please check the logs for more details.

Env info: https://gist.github.com/BenBeckley/05cb873f70c95bed81becafe1f908bd1


The output has an extra full stop before the last sentence. It looks weird in the IDE and also when it is typed out fully.